osl::DirectionTraitsGen< U > Struct Reference

`#include <directionTraits.h>`

## Static Public Attributes

static const int | blackDx =0
static const int | blackDy =-1
static const bool | canPromoteTo =true
static const Direction | altDir =D
static const Direction | longDir =LONG_U
static const Direction | primDir =U
static const int | ptypeMask

## Detailed Description

Definition at line 27 of file directionTraits.h.

## Member Data Documentation

## altDir

const Direction osl::DirectionTraitsGen< U >::altDir =D

static

Definition at line 31 of file directionTraits.h.

## blackDx

const int osl::DirectionTraitsGen< U >::blackDx =0

static

Definition at line 28 of file directionTraits.h.

## blackDy

const int osl::DirectionTraitsGen< U >::blackDy =-1

static

Definition at line 29 of file directionTraits.h.

## canPromoteTo

const bool osl::DirectionTraitsGen< U >::canPromoteTo =true

static

Definition at line 30 of file directionTraits.h.

## longDir

const Direction osl::DirectionTraitsGen< U >::longDir =LONG_U

static

Definition at line 32 of file directionTraits.h.

## primDir

const Direction osl::DirectionTraitsGen< U >::primDir =U

static

Definition at line 33 of file directionTraits.h.

## ptypeMask

const int osl::DirectionTraitsGen< U >::ptypeMask

static

Initial value:
=
(1<<PPAWN)|(1<<PLANCE)|(1<<PKNIGHT)|(1<<PSILVER)|(1<<PBISHOP)|
(1<<PROOK)|(1<<KING)|(1<<GOLD)|(1<<PAWN)|(1<<LANCE)|(1<<SILVER)|(1<<ROOK)
osl::ROOK
@ ROOK
Definition basic_type.h:100
osl::PPAWN
@ PPAWN
Definition basic_type.h:87
osl::PROOK
@ PROOK
Definition basic_type.h:92
osl::PAWN
@ PAWN
Definition basic_type.h:95
osl::KING
@ KING
Definition basic_type.h:93
osl::SILVER
@ SILVER
Definition basic_type.h:98
osl::PKNIGHT
@ PKNIGHT
Definition basic_type.h:89
osl::GOLD
@ GOLD
Definition basic_type.h:94
osl::PLANCE
@ PLANCE
Definition basic_type.h:88
osl::PBISHOP
@ PBISHOP
Definition basic_type.h:91
osl::LANCE
@ LANCE
Definition basic_type.h:96
osl::PSILVER
@ PSILVER
Definition basic_type.h:90

Definition at line 34 of file directionTraits.h.

The documentation for this struct was generated from the following file:

- directionTraits.h